
local function updateGFX(dt)
     if electrics.values['gear'] == "P" then
	electrics.values['gear_meganekene_R'] = 0
	electrics.values['gear_meganekene_N'] = 0
	electrics.values['gear_meganekene_D'] = 0
	electrics.values['gear_meganekene_P'] = 1
    elseif electrics.values['gear'] == "R" then
	electrics.values['gear_meganekene_N'] = 0
	electrics.values['gear_meganekene_D'] = 0
	electrics.values['gear_meganekene_P'] = 0
	electrics.values['gear_meganekene_R'] = 1
    elseif electrics.values['gear'] == "N" then
	electrics.values['gear_meganekene_D'] = 0
	electrics.values['gear_meganekene_P'] = 0
	electrics.values['gear_meganekene_R'] = 0
	electrics.values['gear_meganekene_N'] = 1
    elseif electrics.values['gear'] == "D" then
        electrics.values['gear_meganekene_M'] = 0
	electrics.values['gear_meganekene_P'] = 0
	electrics.values['gear_meganekene_R'] = 0
	electrics.values['gear_meganekene_N'] = 0
	electrics.values['gear_meganekene_D'] = 1
    else
        electrics.values['gear_meganekene_M'] = 0
	electrics.values['gear_meganekene_P'] = 0
	electrics.values['gear_meganekene_R'] = 0
	electrics.values['gear_meganekene_N'] = 0
	electrics.values['gear_meganekene_D'] = 1
end
end
local M = {}
M.onInit    = onInit
M.reset     = reset
M.updateGFX = updateGFX
return M